For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
      • POSTInvites a user to the workspace.
      • POSTAccepts the invitation with the invitation code.
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceInvitations

Accepts the invitation with the invitation code.

POST
https://api.awork.com/api/v1/invitations/accept
POST
/api/v1/invitations/accept
$curl -X POST https://api.awork.com/api/v1/invitations/accept \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{}
Was this page helpful?
Previous

Returns the permissions of the currently logged-in user.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The invitation code received when creating the invitation.
invitationCodestring or nullOptional
The invitation code provided when creating the invitation.
referralCodestring or nullOptional
The referral code provided when creating the invitation from a referral.

Response

OK